<?php
$key = $_GET['key'];
require_once('files.php');
// grab the requested file's name
foreach ($fileList as $fileGroup) {
	foreach ($fileGroup as $file) {
		if ($file['key'] == $key) {
			downloadFile($file);
		}
	}
}

function downloadFile($file) {
	// 	make sure it's a file before doing anything!
	if (is_file($file['url'])) {

		updateCount($file);
	
		if (ini_get('zlib.output_compression')) { 
			ini_set('zlib.output_compression', 'Off');  
		}
	
		// get the file mime type using the file extension
		switch(strtolower(substr(strrchr($file['url'],'.'),1))) {
	    	case 'pdf': $mime = 'application/pdf'; break;
	    	case 'zip': $mime = 'application/zip'; break;
	    	case 'jpeg':
	    	case 'jpg': $mime = 'image/jpg'; break;
	    	default: $mime = 'application/force-download';
	  	}
	  	header('Pragma: public');   // required
	  	header('Expires: 0');    // no cache
	  	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	  	header('Last-Modified: '.gmdate ('D, d M Y H:i:s', filemtime ($file['url'])).' GMT');
	  	header('Cache-Control: private',false);
	  	header('Content-Type: '.$mime);
	  	header('Content-Disposition: attachment; filename="'.basename($file['url']).'"');
	  	header('Content-Transfer-Encoding: binary');
	  	header('Content-Length: '.filesize($file['url']));  // provide file size
	  	header('Connection: close');
	    header('Filename: "'.basename($file['url']).'"');
	  	readfile($file['url']);    // push it out
	  	exit();
	}
	else if(substr($file['url'], 0, 4) == 'http') {
		updateCount($file);
		header('Location: ' . $file['url']);
		exit();
	}
}

function updateCount($file) {
	if ($file['key']) {
		// inrease download counter by one
	    $log = 'counters/' . $file['key'] . '.txt';
	    $count = (int) (file_exists($log) ? file_get_contents($log) : 0);
	    $count++;
	    file_put_contents($log, $count);
	}	
}
?>
